<back to all web services

SitemapSettingsMessage

The following routes are available for this service:
All Verbs/RestApi/sitefinity/sitemap/settings
All Verbs/RestApi/sitefinity/sitemap/settings/{Id}
import datetime
import decimal
from marshmallow.fields import *
from servicestack import *
from typing import *
from dataclasses import dataclass, field
from dataclasses_json import dataclass_json, LetterCase, Undefined, config
from enum import Enum, IntEnum


class SitemapGenerationCondition(str, Enum):
    DAILY = 'Daily'
    WEEKLY = 'Weekly'
    MANUAL = 'Manual'


@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class SitemapSettings:
    is_enabled: bool = False
    url_limit: int = 0
    compress: bool = False
    condition: Optional[SitemapGenerationCondition] = None
    day_to_start: int = 0
    time_to_start: datetime.datetime = datetime.datetime(1, 1, 1)
    site_id: Optional[str] = None
    last_execution_time: Optional[str] = None
    last_error: Optional[str] = None
    ping_google: bool = False


@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class SitemapSettingsMessage:
    id: Optional[str] = None
    item: Optional[SitemapSettings] = None


@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class SitemapSettingsContext:
    item: Optional[SitemapSettings] = None

Python SitemapSettingsMessage DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/sitefinity/sitemap/settings HTTP/1.1 
Host: www.asg.com.au 
Accept: application/xml
Content-Type: application/xml
Content-Length: length

<SitemapSettingsMessage xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.SitemapGenerator.Data">
  <Id>00000000-0000-0000-0000-000000000000</Id>
  <Item>
    <Compress>false</Compress>
    <Condition>Daily</Condition>
    <DayToStart>0</DayToStart>
    <IsEnabled>false</IsEnabled>
    <LastError>String</LastError>
    <LastExecutionTime>String</LastExecutionTime>
    <PingGoogle>false</PingGoogle>
    <SiteId>00000000-0000-0000-0000-000000000000</SiteId>
    <TimeToStart>0001-01-01T00:00:00</TimeToStart>
    <UrlLimit>0</UrlLimit>
  </Item>
</SitemapSettingsMessage>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<SitemapSettingsContext xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.SitemapGenerator.Data">
  <Item>
    <Compress>false</Compress>
    <Condition>Daily</Condition>
    <DayToStart>0</DayToStart>
    <IsEnabled>false</IsEnabled>
    <LastError>String</LastError>
    <LastExecutionTime>String</LastExecutionTime>
    <PingGoogle>false</PingGoogle>
    <SiteId>00000000-0000-0000-0000-000000000000</SiteId>
    <TimeToStart>0001-01-01T00:00:00</TimeToStart>
    <UrlLimit>0</UrlLimit>
  </Item>
</SitemapSettingsContext>